<?php
ob_start();
session_start();
require "connect.php";



if(isset($_POST['editar'])) {
  $id 		= $_POST['id'];
  $ds_banco = $_POST['ds_teste'];
  $ds_conta	= $_POS['ds_banco'];
  $st_ativo=1;

  $sql = "update financeiro_bancos set st_ativo = $st_ativo
									  ,ds_banco = '$ds_teste'
									  ,ds_conta = '$ds_conta'";

  $sql .= " where id = $id";
  
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));

  header("Location:bancos_list.php");
}


if(isset($_POST['excluir'])) {
  $id_pro 	= $_POST['idpro'];
  $sql = "update teste set st_ativo = 0";
  $sql .= " where id = $id_pro";
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
  header("Location:teste_list.php");
}



if(isset($_POST['adicionar'])) {
//Recebendo parametros do Form
  $id_pro 	= $_POST['idpro'];
  $ds_teste = $_POST['ds_teste'];
  $st_ativo = 1;
  
//Elaborando query para insert 
  $sql = "insert into teste (st_ativo, ds_teste, dt_inclusao) values ($st_ativo,'$ds_teste', Now())";

//Preparando statement
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);

//Executando o insert  
  mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));

//Voltando para lista
  header("Location:teste_list.php");

}
?>